<mat-stepper linear #stepper>
  <mat-step [completed]="firstStep">
    <ng-template matStepLabel>Pick a folder</ng-template>
    <table mat-table [dataSource]="folders">
      <ng-container matColumnDef="folder">
        <mat-header-cell *matHeaderCellDef>Folders.</mat-header-cell>
        <mat-cell *matCellDef="let folder">
          <ng-container *ngIf="folder && folder.trim().length > 0">
            <button
              class="stepper"
              mat-button
              (click)="logFolderRowData(folder, stepper)">
              {{ folder }}
            </button>
          </ng-container>
        </mat-cell>
      </ng-container>
      <mat-header-row *matHeaderRowDef="folderCol"></mat-header-row>
      <mat-row *matRowDef="let myRowData; columns: folderCol"> </mat-row>
    </table>
  </mat-step>

  <mat-step>
    <ng-template matStepLabel>Pick a parameter</ng-template>
    <div>
      <button (click)="backNavigation()" mat-button matStepperPrevious>
        <mat-icon> undo</mat-icon>
        Back
      </button>
    </div>
    <mat-form-field>
      <input
        matInput
        (keyup)="applyFilter($event)"
        placeholder="Filter" /><mat-icon matPrefix> search</mat-icon>
    </mat-form-field>

    <table *ngIf="tableDataSource" mat-table [dataSource]="tableDataSource">
      <ng-container matColumnDef="Parameter Names">
        <mat-header-cell *matHeaderCellDef>Parameter Name</mat-header-cell>
        <mat-cell
          class="name_column"
          *matCellDef="let parameter"
          (click)="addGraph(parameter.qualifiedName)"
          >{{ parameter.qualifiedName }}</mat-cell
        >
      </ng-container>
      <ng-container matColumnDef="Parameter Types">
        <mat-header-cell *matHeaderCellDef>Parameter Type</mat-header-cell>
        <mat-cell class="name_column" *matCellDef="let parameter">{{
          parameter.type.engType
        }}</mat-cell>
      </ng-container>
      <mat-header-row *matHeaderRowDef="displayedCol"></mat-header-row>
      <mat-row *matRowDef="let rowData; columns: displayedCol"></mat-row>
    </table>
  </mat-step>
</mat-stepper>
